"psi.hampel" <-
function (u, a=2, b=4, c=8, deriv=0, rho=FALSE) 
{
  U <- pmin(abs(u) + 1e-50, c)
  if (deriv)
    return(ifelse(abs(u) <= c, ifelse(U <= a, 1,
                       ifelse(U <= b, 0, -a/(c - b))), 0))
  if(rho)
    return(NULL)
  ifelse(U <= a, U, ifelse(U <= b, a, a * (c - U)/(c - b)))/U
}

