"rfglmMqle.control" <-
function (acc=1e-04, test.acc="coef", maxit=50,
                                 tcc=1.345)
{
    if (!is.numeric(acc) || acc <= 0) 
        stop("value of acc must be > 0")
    if (test.acc != "coef") 
        stop("Sorry, only 'coef' is currently implemented")
    ## if (!(any(test.vec == c("coef", "resid")))) 
    ##    stop("invalid argument for test.acc")
    if (!is.numeric(maxit) || maxit <= 0) 
        stop("maximum number of iterations must be > 0")
    if (!is.numeric(tcc) || tcc <= 0) 
        stop("value of the tuning constant c (tcc) must be > 0")
    list(acc=acc, test.acc=test.acc, maxit=maxit, tcc=tcc)
}

