"rfglmMqleEpsi2B" <-
function(mu, Vmu, ni, H, K, tcc){
  ##
  ## Calculation of E(psi^2) for the diagnonal elements of A in 
  ## matrix Q:
  Epsi2AC <- tcc^2*(pbinom(H,ni,mu) + 1 - pbinom(K,ni,mu))
  Epsi2B1 <- mu^2*ni/Vmu*(pbinom(K,ni,mu)-pbinom(H,ni,mu))
  Epsi2B2 <- ((mu - 2*mu^2*ni)/Vmu * 
              ifelse(ni==1, (H <= 0)*(K >= 1),
                     (pbinom(K-1,pmax(ni-1,1),mu)-pbinom(H-1,pmax(ni-1,1),mu))))
  Epsi2B3 <- ((ni-1) * mu^2/Vmu*
              ifelse(ni==2, (H <= 1)*(K >= 2),  
                     (pbinom(K-2,pmax(ni-2,1),mu)-pbinom(H-2,pmax(ni-2,1),mu))))
    ##           pmax was needed to get numeric returns from pbinom       
  (Epsi2AC + Epsi2B1 +  Epsi2B2 +  Epsi2B3)
}

