"rfglmMqleEpsiSPois" <-
function(mu, Vmu, ni, H, K, tcc){
  ##
  ## Calculation of E(psi*s) for the diagnonal elements of B in the 
  ## expression matrix M = 1/n t(X) %*% B %*% X:
  EpsiSA <- tcc*(dpois(H,mu) + dpois(K,mu))
  EpsiSB <- mu/sqrt(Vmu)*(dpois(H-1,mu) - dpois(H,mu) -
                          dpois(K-1,mu) + dpois(K,mu))
  EpsiSC <- (ppois(K-1,mu)- ppois(H-1,mu))/sqrt(Vmu)
  (EpsiSA  + EpsiSB + EpsiSC)
  }

