\name{fitted.rfnls}
\alias{fitted.rfnls}

\title{ Extract Model Fitted Values }
\description{
  \code{fitted} is a generic function which extracts fitted values from
  objects returned by modeling functions. \code{fitted.values} is an
  alias for it. 
}

\usage{
fitted.rfnls(object, ...)
}

\arguments{
  \item{object}{ rfnls object }
  \item{\dots}{ additional arguments }
}


\value{
  Fitted values extracted from \code{object}.
}

\author{ Andreas Ruckstuhl }

\seealso{ \code{\link[stats]{fitted}}}

\keyword{ regression }
