"psi.bisquare" <-
function (u, c=4.685, deriv=0, rho=FALSE) 
{
  t <- (u/c)^2
  if (deriv)
    return(ifelse(t < 1, (1 - t) * (1 - 5 * t), 0))
  if(rho)
    return((1 - (1-pmin(1, t))^3)/6)
  (1 - pmin(1, abs(u/c))^2)^2 
}

