"rfglmMqleEpsiSB" <-
function(mu, Vmu, ni, H, K, tcc){
  ##
  ## Calculation of E(psi*s) for the diagnonal elements of B in the 
  ## expression matrix M = 1/n t(X) %*% B %*% X:
  EpsiSA <- tcc*mu/Vmu*(pbinom(H,ni,mu) - 
                        ifelse(ni==1, H >= 1, pbinom(H-1,pmax(ni-1,1),mu)))
  EpsiSC <- tcc*mu/Vmu*(pbinom(K,ni,mu) -
                        ifelse(ni==1, K > 0, pbinom(K-1,pmax(ni-1,1),mu)))
  EpsiSB1 <- mu^2*sqrt(ni)/(Vmu*sqrt(Vmu))*(pbinom(K,ni,mu)-pbinom(H,ni,mu))
  EpsiSB2 <- ((mu/sqrt(ni) - 2*mu^2*sqrt(ni))/(Vmu*sqrt(Vmu)) * 
              ifelse(ni==1, (H <= 0)*(K >= 1),
                     (pbinom(K-1,pmax(ni-1,1),mu)-pbinom(H-1,pmax(ni-1,1),mu))))
  EpsiSB3 <- ((ni-1) * mu^2/(Vmu*sqrt(ni*Vmu))*
              ifelse(ni==2, (H <= 1)*(K >= 2),  
                     (pbinom(K-2,pmax(ni-2,1),mu)-pbinom(H-2,pmax(ni-2,1),mu))))
    ##           pmax was needed to get numeric returns from pbinom       
  (EpsiSA + EpsiSC + EpsiSB1 +  EpsiSB2 +  EpsiSB3)
}

