"rfglmMqleRobDist" <-
function(X, intercept){
  if(intercept){
    Z <- as.matrix(X[, -1])
    Zrc <- cov.rob(Z) ## worse:  method="mcd"
    dist2 <- mahalanobis(Z, center=Zrc$center, cov=Zrc$cov)
    ## dist2 <- mahalanobis(Z, center=XX.rcov$center, cov=XX.rcov$cov)
  }
  else {
    Z <- as.matrix(X)
    Zrc <- cov.rob(Z)
    mu <- as.matrix(Zrc$center)
    Mu <- Zrc$cov + mu %*% t(mu)
    dist2 <- mahalanobis(Z, center=rep(0,ncol(Z)), cov=Mu)
  }
  ncoef <- ncol(X)-intercept ## E[chi^2_p] = p
  1/sqrt(pmax(0, (dist2-ncoef)/sqrt(2*ncoef)*8) + 1) 
}

