\name{internals}
\alias{internals}

\title{Internal Functions}
\description{
  These functions are for internal use only or not yet documented.
}
\usage{
%% for rfglm
print.summary.rfglm(x, digits = max(3, getOption("digits") - 3),
                    symbolic.cor = x$symbolic.cor,
                    signif.stars = getOption("show.signif.stars"), ...)

rfglmMqle(X, y, weights = rep(1, nobs), start = NULL,
          offset = rep(0, nobs), family, weights.on.x = "none",
          control = rfglmMqle.control(), intercept = TRUE)

rfglmMqleEpsiB(mu, Vmu, ni, H, K, tcc)

rfglmMqleEpsiPois(mu, Vmu, ni, H, K, tcc)

rfglmMqleEpsiSB(mu, Vmu, ni, H, K, tcc)

rfglmMqleEpsiSPois(mu, Vmu, ni, H, K, tcc)

rfglmMqleEpsi2B(mu, Vmu, ni, H, K, tcc)

rfglmMqleEpsi2Pois(mu, Vmu, ni, H, K, tcc)

rfglmMqleDiffQuasiDevB(mu, mu0, y, ni, w.x, tcc)

rfglmMqleDiffQuasiDevPois(mu, mu0, y, ni, w.x, tcc)

rfglmMqleHii(X)

rfglmMqleRobDist(X, intercept)

rflmFixedScale(x, y, weights, w = rep(1, nrow(x)), init, scale,
               psi = psi.huber, maxit = 20, acc = 1e-04,
               test.vec = "resid", wt.method = "inv.var")

%% for rfnls
print.rfnls(x, ...)

formula.rfnls(x, ...)

formula.rfnls(x, ...)

%%fitted.rfnls(object)

predict.rfnls(object, newdata, ...)

print.rfnls(x, ...)

residuals.rfnls(object, ...)

%% for rfmodsel
psi.bisquare(u, c = 4.685, deriv = 0, rho = FALSE)

psi.hampel(u, a = 2, b = 4, c = 8, deriv = 0, rho = FALSE)

psi.huber(u, k = 1.345, deriv = 0, rho = FALSE)
}

\author{Andreas Ruckstuhl}

\keyword{internal}

