\name{summary.rfnls}
\alias{summary.rfnls}

\title{Summarizing Robust Fits of Nonlinear Regression Models }
\description{
  \code{summary} method for class \code{"rfnls"}.
}
\usage{
\method{summary}{rfnls}(object, ...)
}

\arguments{
  \item{object}{an object of class \code{"rfnls"}, usually, a result of
    a call to \code{\link{rfnls}}.}
  \item{\dots}{further arguments passed to or from other methods.}
}

\details{
  \code{\link{summary.rfnls}} tries to be smart about formatting the
  coefficients, standard errors, etc. and additionally gives
  "significance stars" if \code{signif.stars} is \code{TRUE}. ???
}

\value{
  The function \code{\link{summary.rfnls}} computes and returns a list
  of summary statistics of the robustly fitted linear model given in
  \code{object}. The following elements are in the list:
  \item{FixIt}{???}
}

%%\references{ ~put references to the literature/web site here ~ }
\author{Andreas Ruckstuhl}
%%\note{ ~~further notes~~ }
%%
%% ~Make other sections like Warning with \section{Warning }{....} ~

%%\seealso{ ~~objects to See Also as \code{\link{~~fun~~}}, ~~~ }

\examples{
## To do
}

\keyword{models}
\keyword{regression}
\keyword{nonlinear}
\keyword{robust}
